public enum Player {

    PLAYER1("Speler 1", "Piece-PLAYER1.png"),
    
    PLAYER2("Speler 2", "Piece-PLAYER2.png"),
    
    NOTHING("Niemand", "Piece-NOTHING.png");
    
    /**
     * @param   filename
     *              name of the file to find the image.
     */
    private Player(String name, String filename){
        this.name = name;
        this.filename = filename;
    }
    
    
    /**
     * This method returns the filename for the image of the player.
     */
    public String getFilename(){
        return filename;
    }
    /**
     * @param player
     *          Player to get the opposite.
     * @return
     *          If the player is 1, the method returns player 2.
     *          If the player is 2, the method returns player 1.
     *          else the method returns NOTHING.
     */
    public static Player getOpposite(Player player){
        if (player == PLAYER1)
            return PLAYER2;
        else if (player == PLAYER2)
            return PLAYER1;
        else
            return NOTHING;
    }
    
    /**
     * Returns the string representation of the player.
     */
    public String toString(){
        return name;
    }
    
    private String name = "";
    private String filename = "";
}